get_job
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/jobs/{job_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"status": "open",
"category": "engineering",
"locations": [
"New York, NY"
],
"countries": [
"United States"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": true,
"posted_at": "2026-09-21T15:04:05+00:00",
"interview_criteria": [],
"form_schema": {
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"fields": [
{
"id": "full_name",
"label": "Name",
"type": "text",
"required": true,
"section": "personal"
},
{
"id": "email",
"label": "Email",
"type": "email",
"required": true,
"section": "personal"
}
]
}
}Jobs
get_job
One job: its fields, status, on_board and listed_on_hotfix, apply_form, interview_criteria, and form_schema, the seeker apply form with the same FormField list as the careers page and Hotfix search. MCP tool: get_form_schema returns only the form.
GET
/
v1
/
employer
/
jobs
/
{job_id}
get_job
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/jobs/{job_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"title": "Staff engineer",
"status": "open",
"category": "engineering",
"locations": [
"New York, NY"
],
"countries": [
"United States"
],
"work_type": "hybrid",
"employment_type": "FULL_TIME",
"on_board": true,
"listed_on_hotfix": true,
"posted_at": "2026-09-21T15:04:05+00:00",
"interview_criteria": [],
"form_schema": {
"job_id": "9a1b2c3d-4e5f-6789-abcd-ef0123456789",
"fields": [
{
"id": "full_name",
"label": "Name",
"type": "text",
"required": true,
"section": "personal"
},
{
"id": "email",
"label": "Email",
"type": "email",
"required": true,
"section": "personal"
}
]
}
}